@import url('https://fonts.googleapis.com/css2?family=Cabin:ital,wght@0,400..700;1,400..700&family=Nanum+Gothic&family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Cabin", sans-serif;
  background: #f1f1f1;
  max-width: 1200px;
  margin: 0 auto;
  color: #333333;
}

#experience,
#education {
  color: #888888;
}

h1 {
  color: rgb(255,107,0);
  font-size: 4em;
  font-weight: 700;
}

h1 span {
  font-weight: 500;
}

h2 {
  color: #ea6b30;
}

h3 {
  color: #616f79;
}

h4 {
  padding: 5px 0 10px 0;
  color: #616f79;
}

h5 {
  font-size: 18px;
  width: 5em;
  color: #888888;
}

ul li {
  width: 100%;
  list-style: none;
}

i {
  padding: 0 7px 3px 0;
}

a {
  color: #636d6b;
  font-size: 18px;
  font-weight: bold;
}

a:hover {
  color: orangered;
}

.color h2 {
  color: #222;
}

.language {
  display: flex;
  flex-direction: row;
  justify-content: end;
  margin-right: 15px;
}

.language a {
  padding: 10px 10px 0 0;
}

.language a:hover {
  opacity: 0.7;
}

.leftcolumn {
  float: left;
  width: 30%;
}

/* Right column */
.rightcolumn {
  float: left;
  width: 70%;
  background: #fff;
}

li.indent-text {
  text-indent: -22px; /* Отрицательный отступ для текста */
}

.personal-left {
  display: flex;
  flex-wrap: wrap;
  max-width: 45%;
}

.list li {
  list-style: none;
  padding: 5px 0;
}

.contact li {
  list-style: none;
  padding: 5px 0;
  color: #333333;
}

.personal-left li {
  list-style: none;
  color: #333333;
  padding: 5px 0;
}

.personal-left-skills {
  max-width: 100%;
}

.personal-left-skills li {
  list-style: none;
  color: #333333;
  padding: 5px 5px 5px 21px;
  width: auto;
}

.fontback {
  background: #d1ecf4;
  width: 100%;
  min-height: 200px;
  margin: 50px 0 30px 0;
  padding: 20px 40px;
}

.fontback p {
  color: #636d6b;
  font-size: 1.6em;
}

.experience {
  padding-top: 70px;
  margin-bottom: 10px;
}

/* Fake image */
.fakeimg {
  background-color: #aaa;
  width: 100%;
  padding: 20px;
}

/* Add a card effect for articles */
.card {
  background-color: white;
  padding: 0px 20px 30px 30px;
}

.start-left {
  margin: 30px 20px 10px 30px!important;
}
.my-contact {
  margin: 10px 20px 10px 30px;
}

.rs-scool {
  color: orangered;
}

.card p,
.card h2,
.my-contact {
  overflow: hidden;
  text-align: left;
  font-size: 23px;
}

.about-me {
  font-size: 16px!important;
}

.about-me::after {
  content: '';
  display: none!important;
}

.summary {
  margin-top: 54px;
}

.summary-info {
  padding: 0 35px!important;
  color: #333333!important;
  font-style: italic!important;
  word-spacing: 5px!important;
  line-height: 120%!important;
  font-weight: normal!important;
  font-size: 19px!important;
}

.card p:after,
.card h2:after,
.my-contact:after {
  content: '';
  display: inline-block;
  vertical-align: middle;
  width: 100%;
  height: 2px;
  background-color: #ebebeb;
  position: relative;
}
.card p:after,
.card h2:after,
.my-contact:after {
  margin-right: -100%;
  right: -14px;
}

.experience-warp {
  display: flex;
  flex-direction: row;
  justify-content: start;
  margin: 30px auto 0 auto;
  align-items: center;
  overflow: hidden;
}

.experience-left {
  margin: 0 25px;
  padding-right: 25px;
}

.myImg {
  background: #2f2b2c;
  text-align: center;
  margin-top: 50px;
}

.myImg img {
  background: #fff;
  margin-bottom: 20px;
  border-radius: 50%;
  width: 12rem;
  border: 1px solid #ea6b30;
}

.personal {
  background: #b5d7e0;
  overflow: hidden;
}

.lang {
  min-width: 7vw;
  padding: 5px 0;
  color: #444;
}

.personal h2 {
  padding-bottom: 10px;
}

.personal p,
.my-contact {
  color: rgb(255,107,0);
  font-weight: 700;
  padding: 5px 0;
}

.personal-right {
  overflow: hidden;
}
.personal-wrap {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 7px 0;
}

.personal-info p {
  padding: 0 40px 10px 40px;
  font-style: italic;
  font-size: 14px;
}

.logo_image {
  width: 28px;
  height: 28px;
  margin: 4px;
  filter: grayscale(1); /* Черно-белый фильтр для изображения */
  transition: 0.5s; /* Время изменения цвета изображения */
}

.logo_image:hover {
  filter: grayscale(0);
}

.newToogle {
  transform: rotate(1turn);
  filter: grayscale(0);
}

.progressbar {
  margin: 9px 0;
  height: 20px;
  min-width: 10rem;
  position: relative;
  background: #555;
  padding: 1px;
  box-shadow: inset 0 -1px 1px rgba(255, 255, 255, 0.3);
}


/* Clear floats after the columns */
.row:after {
  content: '';
  display: table;
  clear: both;
}

/* Footer */
.footer {
  padding: 20px;
  text-align: center;
  background: #c7dce2;
}

.footer h2 {
  text-align: center;
  color: rgb(255, 107, 0);
  font-size: 16px;
}

.rodo {
  font-style: italic;
  font-size: 0.7rem;
}

/* Responsive layout - when the screen is less than 800px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 800px) {
  .leftcolumn,
  .rightcolumn {
    width: 100%;
    padding: 0;
  }
}

@media screen and (max-width: 450px) {
  .experience-left,
  .experience-right {
    width: 50%;
    padding: 0;
  }
}

@media screen and (max-width: 300px) {
  .experience-left,
  .experience-right {
    width: 25%;
    padding: 0;
  }
}

@keyframes move {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 50px 50px;
  }
}
